Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4686 - Small %postun bug in mod_php3_pgsql
Summary: Small %postun bug in mod_php3_pgsql
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mod_php3
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-24 13:19 UTC by Randy Russell
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-28 05:32:00 UTC


Attachments (Terms of Use)

Description Randy Russell 1999-08-24 13:19:04 UTC
This bug concerns the mod_php3_pgsql package that is
available on updates.redhat.com.  This RPM has a %post
procedure that activates the pgsql.so module in
/etc/httpd/php3.ini:

%post pgsql
perl -pi -e 's|^;extension=pgsql.so|extension=pgsql.so|g'
/etc/httpd/php3.ini

There is a corresponding %postun procedure:

%postun pgsql
if [ $1 = 0 ]; then
  perl -pi -e 's|^extension=pgsql.so|;extension=pgqsl.so|g'
/etc/httpd/php3.ini
fi

You'll notice that the replacement string reads "pgqsl.so",
rather than "pgsql.so".  It's a relatively minor problem,
but one that could prove annoying if someone were to
uninstall the package, then try reinstalling it.
Reinstallation would not re-enable the module.

Comment 1 charles 1999-08-26 18:39:59 UTC
Both mod_php3-imap-3.0.9-1.i386.rpm and
mod_php3-pgsql-3.0.9-1.i386.rpm use perl in their postinstall and
postuninstall scripts.  Since those packages are upgrades, most
people who install them will have perl installed and not see a
problem.

However, when used in a system installation from scratch (e.g.,
from an updated distribution CD), perl is not available in
RedHat/instimage/usr/bin and the script fails.  sed is not there
either, but it could be added and used for this purpose in install
scripts instead of perl because of its smaller size.

Comment 2 Preston Brown 1999-08-28 05:32:59 UTC
both problems are fixed in the forthcoming release (6.1).


Note You need to log in before you can comment on or make changes to this bug.